Change log for ispell package in Ubuntu

120 of 20 results
Published in eoan-release on 2019-08-10
Deleted in eoan-proposed (Reason: moved to release)
ispell (3.4.00-8) unstable; urgency=medium

  * 0039-Man-page-issues-fix.patch: fix some formatting and textual
    matters in ispell(1) man page (closes: #869733). Many thanks to
    Bjarni Ingi Gislason for the patch!
  * Mark ienglish-common package as 'Multi-Arch: foreign'.

 -- Robert Luberda <email address hidden>  Fri, 09 Aug 2019 20:55:21 +0200

Available diffs

Superseded in eoan-release on 2019-08-10
Deleted in eoan-proposed on 2019-08-11 (Reason: moved to release)
ispell (3.4.00-7) unstable; urgency=medium

  * Fix FTBFS by correcting wrong condition in gen_debhelper_files.pl.
  * Bump debhelper's compat version to 11.
  * debian/rules: Use DPKG_*_MAINT_APPEND variables and buildflags.mk
    to setup build flags.
  * Rename the patch added in NMU to 0038-Avoid-shipping-sq-and-unsq-manpages,
    for consistency with names of other patches.
  * debian/control:
    + add `Rules-Requires-Root: no';
    + Standards-Version: 4.4.0.

 -- Robert Luberda <email address hidden>  Mon, 29 Jul 2019 23:19:53 +0200
Superseded in eoan-proposed on 2019-07-30
ispell (3.4.00-6.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Kahn Gillmor ]
  * Stop shipping sq and unsq (Closes: #909085)
  * fix logic bug in debian/packages.d/gen_debhelper_files.pl
  * debian/watch: update to use https
  * d/{copyright,control}: use current upstream URL
  * avoid spelling errors in patch descriptions

 -- Daniel Kahn Gillmor <email address hidden>  Wed, 22 May 2019 15:28:50 -0400
Superseded in eoan-release on 2019-07-30
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-04
Deleted in cosmic-proposed (Reason: moved to release)
ispell (3.4.00-6build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 14:16:12 +0000
Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-07-13
Deleted in artful-proposed (Reason: moved to release)
ispell (3.4.00-6) unstable; urgency=medium

  * New 0037-CC-from-environment.patch from Helmut Grohne to fix cross builds
    failures by using maintainer supplied $(CC) (closes: #840715).
  * Bump debhelper's compat level to 10.
  * Switch Vcs-Browser to cgit, and use https in Vcs field.
  * Standards-Version 4.0.0 (no changes).

 -- Robert Luberda <email address hidden>  Tue, 11 Jul 2017 21:01:26 +0200

Available diffs

Superseded in artful-release on 2017-07-13
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-11
Superseded in xenial-release on 2016-04-11
Deleted in xenial-proposed (Reason: moved to release)
ispell (3.4.00-5) unstable; urgency=medium

  * Add 0035-Force-text-grep-in-munchlist.patch to pass the `-a' flag to grep
    invocations not to fail on national characters (closes: #816572, #815160).
  * Add 0036-Reproducible-hashes.patch to hopefully make builds of hashes
    reproducible (closes: #778862).
  * debian/rules: Enable all hardening flags.
  * debian/control:
    + use https for Vcs-Browser field;
    + bump Standards-Version to 3.9.7.

 -- Robert Luberda <email address hidden>  Fri, 04 Mar 2016 08:34:01 +0100

Available diffs

Superseded in xenial-release on 2016-04-04
Deleted in xenial-proposed on 2016-04-05 (Reason: moved to release)
ispell (3.4.00-4) unstable; urgency=medium

  * Update 0031-Initialize-table.patch to fix another issue with uninitialized
    memory causing unreproducible builds of ispell hashes (closes: #795606).
  * Add 0034-Fix-munchlist-failure.patch not to fail munchlist when there are
    no roots with multiple cross-product flags (closes: #794152).
  * Introduce lintian override for bogus `hardening-no-fortify-functions
    usr/bin/ijoin'.

 -- Robert Luberda <email address hidden>  Mon, 26 Oct 2015 00:27:36 +0100
Superseded in xenial-release on 2016-01-07
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
ispell (3.4.00-3ubuntu1) wily; urgency=medium

  * Relax error detection and handling in munchlist.  Allows to build
    the norwegian dictionaries. Closes: #794152.

 -- Matthias Klose <email address hidden>  Thu, 15 Oct 2015 01:41:56 +0200
Superseded in wily-release on 2015-10-15
Deleted in wily-proposed on 2015-10-16 (Reason: moved to release)
ispell (3.4.00-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Luberda <email address hidden>  Sat, 20 Jun 2015 11:15:32 +0200

Available diffs

Superseded in wily-release on 2015-06-21
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed (Reason: moved to release)
ispell (3.3.02-6) unstable; urgency=low


  * debian/control:
    + mark ispell package as `Multi-Arch: foreign' (closes: #695102);
    + update VCS fields.

 -- Robert Luberda <email address hidden>  Mon, 10 Dec 2012 22:56:16 +0100
Superseded in raring-release on 2012-12-13
Deleted in raring-proposed on 2012-12-14 (Reason: moved to release)
ispell (3.3.02-5ubuntu1) raring; urgency=low

  * Mark ispell Multi-Arch: foreign.
 -- Colin Watson <email address hidden>   Tue, 04 Dec 2012 09:35:37 +0000

Available diffs

Superseded in raring-release on 2012-12-04
Obsolete in quantal-release on 2015-04-24
ispell (3.3.02-5build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Thu, 04 Oct 2012 09:16:30 +0100

Available diffs

Superseded in quantal-release on 2012-10-04
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
ispell (3.3.02-5) unstable; urgency=low

  * Fix a typo in ibritish-huge description (closes: #630240).
  * Replace `The package also recommends' with `The package also suggests' in
    packages' descriptions (closes: #630243).
  * Standards-Version: 3.9.2 (no changes).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  17 Jun 2011 07:49:09 +0000

Available diffs

Superseded in oneiric-release on 2011-06-17
ispell (3.3.02-4) unstable; urgency=low

  * Upload to unstable.
  * Add a debian/NEWS file for the recent changes.
  * gen_debhelper_files.pl: remove the ` - medium' part from iamerican and
    ibritish debconf prompts (closes: #619651).
  * debian/control:
    + make sure ienglish-common recommends' include both iamerican* and
      ibritish* packages (closes: #619922);
    + fix a typo in iamerican-huge description (closes: #619924);
    + bump (build-)dependencies on dictionaries-common(-dev) to >= 1.10.6~ to
      have #619620 fixed;
    + add VCS fields;
    + make dictionary packages to depend on ispell and dictionaries-common-dev
      to have their versions included in  reportbug(1) generated reports.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
ispell (3.1.20.0-7) unstable; urgency=low

  * QA upload.
  * debian/patches/:
    - 12-fix_getline.patch added, thanks to Stefan Potyra
      (Closes: #549401)
    - 13-fix_manpages.patch added
    - 14-fix_info.patch added, contains fixes split from
      01-conglomeration.patch
  * debian/watch added
  * debian/control:
    - debhelper Build-Dependency bumped to >= 7.0.50~
  * debian/README.source: added info about quilt

Available diffs

Superseded in lucid-release on 2009-11-23
Obsolete in karmic-release on 2013-03-04
ispell (3.1.20.0-4.5ubuntu1) karmic; urgency=low

  * correct.c: rename getline to getline_ispell to fix FTBFS.

 -- Stefan Potyra <email address hidden>   Sat, 03 Oct 2009 03:41:46 +0200

Available diffs

Superseded in karmic-release on 2009-10-03
ispell (3.1.20.0-4.5) unstable; urgency=low

  * Non-maintainer upload for FTBFS RC bug.
  * Build Depend on coreutils instead of textutils (Closes: #521533).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  14 May 2009 17:47:43 +0100

Available diffs

Superseded in karmic-release on 2009-05-14
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
ispell (3.1.20.0-4.4) unstable; urgency=medium

  * Non-maintainer upload for release critical bugs, policy issues and doc
    typos, during BSP.
  * Fix doc-base entry that caused postinst to fail when doc-base is installed
    (Closes: #364535, #366100, #384157, #384173, #386846, #401639, #409132).
  * Add debconf-2.0 alternate to debconf depends (Closes: #415689).
  * Fix typo in manpages (Closes: #274435, #274437, #326525) and description
    (Closes: #334420).
  * Do not depend on essential package sed (policy).
  * Fix parse errors in changelog.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  18 May 2007 09:35:23 +0100
Superseded in gutsy-release on 2007-05-18
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
ispell (3.1.20.0-4.3) unstable; urgency=low

  * NMU with the permission of the maintainer.
  * Apply a patch from upstream so words in a personal dictionary don't
    get reordered. (Closes: #305750).

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
ispell (3.1.20.0-4) unstable; urgency=low


  * debian/control: changed wordlist name in the ibritish description
    from 'british' to 'wbritish'; thanks to <email address hidden>
    for noticing and reporting the mistake.
    Closes: #200166: ibritish: Typo in the package description.
  * debian/control: depend [and build-depend] on newer
    dictionaries-common[-dev] (>=0.20).
    Closes: #232142 "Please update your ... package(s) to new .config system"
  * debian/control; bump standards-version; no changes required.
  * debian/control: add missing debconf dependencies.

 -- David Coe <email address hidden>  Mon, 16 Feb 2004 03:08:13 -0500
120 of 20 results